Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname isstream

Name:           nodejs-%{srcname}
Version:        0.1.2
Release:        alt1_8
Summary:        Determine if an object is a Stream
License:        MIT
URL:            https://github.com/rvagg/isstream
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(core-util-is)
BuildRequires:  npm(isarray)
BuildRequires:  npm(string_decoder)
BuildRequires:  npm(inherits)
# Package ships with two bundled versions of readable-stream for tests.
# We are only interested in testing against the version which is actually in
# Fedora.
BuildRequires:  npm(readable-stream)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
# symlink Fedora packaged readable-stream for testing
%nodejs_fixdep --dev readable-stream

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json isstream.js \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# extra symlinks so we use Fedora shipped readable-stream
ln -s ./node_modules/readable-stream readable-stream-1.0
ln -s ./node_modules/readable-stream readable-stream-1.1
node test.js
%endif


%files
%doc README.md
%doc --no-dereference LICENSE.md
%{nodejs_sitelib}/%{srcname}

%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_8
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt0.1.njs.bootstrap
- bootstrap

